[arch-commits] Commit in cpufreqd/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Sun Apr 26 15:51:10 EDT 2009


    Date: Sunday, April 26, 2009 @ 15:51:09
  Author: giovanni
Revision: 36643

Merged revisions 36597,36600,36632 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/cpufreqd/trunk

........
  r36597 | andrea | 2009-04-25 03:45:24 -0700 (sab, 25 apr 2009) | 1 line
  
  moved htdig in [extra] as optdepends of kdebase-runtime
........
  r36600 | andrea | 2009-04-25 03:51:21 -0700 (sab, 25 apr 2009) | 1 line
  
  undo commit
........
  r36632 | andrea | 2009-04-26 08:33:40 -0700 (dom, 26 apr 2009) | 1 line
  
  upgpkg: cpufreqd 2.3.4-1
........

Modified:
  cpufreqd/repos/extra-x86_64/	(properties)
  cpufreqd/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)


Property changes on: cpufreqd/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /cpufreqd/trunk:1-21693
   + /cpufreqd/trunk:1-36642

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-26 19:44:51 UTC (rev 36642)
+++ extra-x86_64/PKGBUILD	2009-04-26 19:51:09 UTC (rev 36643)
@@ -1,10 +1,11 @@
 # $Id$
-# Maintainer: Kevin Piche <kevin at archlinux.org>
-# Committer: Manolis Tzanidakis <manolis at archlinux.org>
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Kevin Piche <kevin at archlinux.org>
+# Contributor: Manolis Tzanidakis <manolis at archlinux.org>
 
 pkgname=cpufreqd
-pkgver=2.3.3
-pkgrel=2
+pkgver=2.3.4
+pkgrel=1
 pkgdesc="A small daemon to adjust cpu speed (and indeed voltage)"
 arch=('i686' 'x86_64')
 url="http://sourceforge.net/projects/cpufreqd"
@@ -13,14 +14,17 @@
 install="$pkgname.install"
 backup=(etc/cpufreqd.conf)
 options=('!libtool')
-source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2  cpufreqd)
-md5sums=('ab7b3e85b62814cfd96de1a7a22855af' 'ae7b0ec1e8e9f9e7f05fb83749af4ed4')
+source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2
+	'cpufreqd')
+md5sums=('f4193f688305566a8422dd3989667668'
+	'ae7b0ec1e8e9f9e7f05fb83749af4ed4')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   ./configure --prefix=/usr \
     --sysconfdir=/etc
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  install -D -m 755 $startdir/src/cpufreqd $startdir/pkg/etc/rc.d/cpufreqd
+  make DESTDIR=$pkgdir install
+
+  install -D -m 755 $srcdir/cpufreqd $pkgdir/etc/rc.d/cpufreqd || return 1
 }



More information about the arch-commits mailing list